These are chat archives for jheinen/GR.jl

15th
Feb 2019
Rob J Goedman
@goedman
Feb 15 16:26

Hi, this morning GR was updated ( [28b8d3ca] ↑ GR v0.37.0 ⇒ v0.38.0 ) and since then I’m getting:

using Plots
gr(size=(500,500));
plot(1:10)

ERROR: error compiling _plot!: error compiling _display: could not load library "libGR.so"
dlopen(libGR.so.dylib, 1): image not found
Stacktrace:
 [1] #plot#136(::Base.Iterators.Pairs{Union{},Union{},Tuple{},NamedTuple{(),Tuple{}}}, ::typeof(plot), ::UnitRange{Int64}) at /Users/rob/.julia/packages/Plots/UQI78/src/plot.jl:57

I did try Pkg.build(“GR”) but get:

julia> Pkg.build("GR")
  Building GR → `~/.julia/packages/GR/R1wHp/deps/build.log`
┌ Error: Error building `GR`: 
│   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
│                                  Dload  Upload   Total   Spent    Left  Speed
100 66830    0 66830    0     0  89388      0 --:--:-- --:--:-- --:--:-- 89344
│ tar: Unrecognized archive format
│ tar: Error exit delayed from previous errors.
│ [ Info: Downloading pre-compiled GR 0.38.0 Darwin binary
│ ERROR: Error while loading expression starting at /Users/rob/.julia/packages/GR/R1wHp/deps/build.jl:63

Any hints?

Josef Heinen
@jheinen
Feb 15 16:36
There was a problem (change?) with the GitHub download link. We have fixed this in the meantime and tagged a new version, which hopefully will be merged soon.
Sorry for the noise!
Rob J Goedman
@goedman
Feb 15 16:38
Thank you, in the meantime ]rm GR and add GR@0.37.0 works for those who really can’t live without …
Josef Heinen
@jheinen
Feb 15 16:41
... or use GR#master
Rob J Goedman
@goedman
Feb 15 16:49

Yip, better solution, I do see:

Warning: No strict ticks found
└ @ PlotUtils ~/.julia/packages/PlotUtils/GxT73/src/ticks.jl:173Warning: No strict ticks found
└ @ PlotUtils ~/.julia/packages/PlotUtils/GxT73/src/ticks.jl:173Warning: No strict ticks found
└ @ PlotUtils ~/.julia/packages/PlotUtils/GxT73/src/ticks.jl:173
GKS: Rectangle definition is invalid in routine SET_WINDOW
GKS: Rectangle definition is invalid in routine SET_WINDOW
┌ Warning: No strict ticks found
└ @ PlotUtils ~/.julia/packages/PlotUtils/GxT73/src/ticks.jl:173
GKS: Rectangle definition is invalid in routine SET_WINDOW
GKS: Rectangle definition is invalid in routine SET_WINDOW
┌ Warning: No strict ticks found
└ @ PlotUtils ~/.julia/packages/PlotUtils/GxT73/src/ticks.jl:173
GKS: Rectangle definition is invalid in routine SET_WINDOW
GKS: Rectangle definition is invalid in routine SET_WINDOW
┌ Warning: No strict ticks found
└ @ PlotUtils ~/.julia/packages/PlotUtils/GxT73/src/ticks.jl:173
GKS: Rectangle definition is invalid in routine SET_WINDOW
GKS: Rectangle definition is invalid in routine SET_WINDOW

but plots look ok.

Josef Heinen
@jheinen
Feb 15 16:52
This means that either xmin >= xmax or ymin >= ymax in the window specification. Do you have a MWE?
Rob J Goedman
@goedman
Feb 15 17:44
Not really, I’ll keep my eyes open for several other places where I use GR.
Josef Heinen
@jheinen
Feb 15 18:10
GR v0.38.1 is merged - the GR update(s) should work now
Rob J Goedman
@goedman
Feb 15 19:46
Hmm, not sure if this solves the LibGR problem (on OSX at least). Earlier, with master, it seemed to work in the REPL but not in Jupiter. With 0.38.1 neither works. Just now I used v0.38.1 on Travis and it worked so maybe just on OSX? I tried both Julia v1.1 and v1.2-
Josef Heinen
@jheinen
Feb 15 19:54
Please remove any GR folders (deps/downloads, deps/gr) and try again. With ENV["GRDIR"]=""; ] build GR you should also be able to force a rebuild including a "fresh" download of the GR run-time.
Rob J Goedman
@goedman
Feb 15 20:10
That looks a whole lot better! Thanks a lot!